@echo off

set EXE=AutoCorr

del /F bad.bad                                 2>nul
del /F report.txt                              2>nul
set DR=%CD%
if %DR%_ == _ goto lerr2
echo =========================== >>report.txt 

del /F %DR%\ZAK\tab_out.txt %DR%\ZAKd\tab_out.txt %DR%\ZA2\tab_out.txt %DR%\ZA5\tab_out.txt %DR%\Z12-1\tab_out.txt %DR%\Z12-2\tab_out.txt %DR%\Z12-3\tab_out.txt %DR%\Z12-4\tab_out.txt %DR%\Z12-5\tab_out.txt %DR%\Z12-6\tab_out.txt %DR%\ZA3\tab_out.txt %DR%\ZA4\tab_out.txt %DR%\DI1\tab_out.txt %DR%\DIV\tab_out.txt %DR%\ZAK2\tab_out.txt %DR%\ZAK3\tab_out.txt %DR%\DIV3\tab_out.txt %DR%\INKZ\tab_out.txt %DR%\INKU\tab_out.txt %DR%\INKK\tab_out.txt %DR%\INKZ2\tab_out.txt %DR%\INKL\tab_out.txt %DR%\INCL_UDL\tab_out.txt %DR%\INCL2_UDL\tab_out.txt %DR%\INCL3_UDL\tab_out.txt %DR%\INCL3_UDL1W\tab_out.txt %DR%\INCL4_UDL\tab_out.txt %DR%\INCL5_UDL\tab_out.txt %DR%\INCL_SUBDIRS_UDL\tab_out.txt %DR%\ASC\tab_out.txt %DR%\ASN\tab_out.txt %DR%\INK\tab_out.txt %DR%\IN1\tab_out.txt %DR%\tbt\tab_out.txt  %DR%\rgi\tab_out.txt  %DR%\tkb\tab_out.txt  %DR%\tx2-big\tab_out.txt  %DR%\tk1\tab_out.txt %DR%\tk2\tab_out.txt %DR%\tk3\tab_out.txt %DR%\tk4\tab_out.txt %DR%\rgi_ao\tab_out.txt  2>nul
del /F %DR%\FZAK\tab_out.txt %DR%\FZA2\tab_out.txt %DR%\FZA3\tab_out.txt %DR%\FZA4\tab_out.txt %DR%\FDI1\tab_out.txt %DR%\FDIV\tab_out.txt %DR%\FZAK2\tab_out.txt %DR%\FZAK3\tab_out.txt %DR%\FDIV3\tab_out.txt %DR%\FINKZ\tab_out.txt %DR%\FINKU\tab_out.txt %DR%\FINKK\tab_out.txt %DR%\FINKZ2\tab_out.txt %DR%\FINKL\tab_out.txt %DR%\FINCL_UDL\tab_out.txt %DR%\FINCL2_UDL\tab_out.txt %DR%\FINCL3_UDL\tab_out.txt %DR%\FINCL4_UDL\tab_out.txt %DR%\FASC\tab_out.txt %DR%\FASN\tab_out.txt %DR%\FINK\tab_out.txt %DR%\FIN1\tab_out.txt %DR%\Ftbt\tab_out.txt  %DR%\Frgi\tab_out.txt  %DR%\Ftkb\tab_out.txt %DR%\Ftx2-big\tab_out.txt  %DR%\Ftk1\tab_out.txt %DR%\Ftk2\tab_out.txt %DR%\Frgi_ao\tab_out.txt   2>nul
del /F %DR%\IRLAS\tab_out.txt   2>nul
del /F %DR%\DIV-inc-subfolders\tab_out.txt   2>nul
del /F %DR%\DIV-well-prefix\tab_out.txt   2>nul
del /F %DR%\test-las\tab_out.txt %DR%\test-las2\tab_out.txt  %DR%\test-las2\DEV-TVD 2>nul
del /F %DR%\T\tab_out.txt %DR%\L\tab_out.txt %DR%\DE2\tab_out.txt   2>nul
del /F %DR%\ZA5ExtAlt\tab_out.txt %DR%\ZA2ExtAlt\tab_out.txt %DR%\ZA3ExtAlt\tab_out.txt %DR%\ZAK_TEST0XY\tab_out.txt 
del /F %DR%\xZAKx_COORD_TVDSS\tab_out.txt %DR%\xZAKx_COORD_TVD\tab_out.txt %DR%\xZAKx_COORD_UDL\tab_out.txt %DR%\xZAKx\tab_out.txt %DR%\xZAKx_column_COORD_UDL\tab_out.txt %DR%\xZAKx_column_TVD\tab_out.txt %DR%\xZAKx_column_COORD_TVD\tab_out.txt %DR%\xZAKx_column_UDL\tab_out.txt %DR%\xZAKx_column_TVDSS\tab_out.txt %DR%\xZAKx_column_COORD_TVDSS\tab_out.txt %DR%\xZAKx_TVDSS\tab_out.txt %DR%\xZAKx_TVD\tab_out.txt 
del /F %DR%\xZAKx_Angle_Azim\tab_out.txt %DR%\xZAKx_Angle_Azimi\tab_out.txt %DR%\xZAKx_column_Angle_Azim\tab_out.txt %DR%\xZAKx_column_Angle_Azimi\tab_out.txt
del /F %DR%\xZAKx_COORD_TVDSS\tab_out.txt %DR%\xZAKx_COORD_TVD\tab_out.txt %DR%\xZAKx_COORD_UDL\tab_out.txt %DR%\xZAKx\tab_out.txt %DR%\xZAKx_column_COORD_UDL\tab_out.txt %DR%\xZAKx_column_TVD\tab_out.txt %DR%\xZAKx_column_COORD_TVD\tab_out.txt %DR%\xZAKx_column_UDL\tab_out.txt %DR%\xZAKx_column_TVDSS\tab_out.txt %DR%\xZAKx_column_COORD_TVDSS\tab_out.txt %DR%\xZAKx_TVDSS\tab_out.txt %DR%\xZAKx_TVD\tab_out.txt
del /F %DR%\xZAKx_column_Angle_Azim_ext_declination\tab_out.txt
del /F %DR%\INK2\tab_out.txt %DR%\INK3\tab_out.txt 

set NTotal=113

call one_test.bat  1 %NTotal% xZAKx_tab_Angle_Azimi  %EXE% %DR% 
call one_test.bat  2 %NTotal% xZAKx_tab_column_Angle_Azim  %EXE% %DR% 
call one_test.bat  3 %NTotal% xZAKx_tab_column_Angle_Azimi  %EXE% %DR% 
call one_test.bat  4 %NTotal% xZAKx_tab_column_COORD_TVD  %EXE% %DR% 
call one_test.bat  5 %NTotal% xZAKx_tab_column_COORD_TVDSS  %EXE% %DR% 
call one_test.bat  6 %NTotal% xZAKx_tab_column_COORD_UDL  %EXE% %DR% 
call one_test.bat  7 %NTotal% xZAKx_tab_column_TVDSS  %EXE% %DR% 
call one_test.bat  8 %NTotal% xZAKx_tab_column_UDL  %EXE% %DR% 
call one_test.bat  9 %NTotal% xZAKx_tab_TVD  %EXE% %DR% 
call one_test.bat  10 %NTotal% xZAKx_tab_TVDSS  %EXE% %DR% 
call one_test.bat  11 %NTotal% xZAKx_COORD_TVDSS  %EXE% %DR% 
call one_test.bat  12 %NTotal% xZAKx_COORD_TVD  %EXE% %DR% 
call one_test.bat  13 %NTotal% xZAKx_COORD_UDL  %EXE% %DR% 
call one_test.bat  14 %NTotal% xZAKx  %EXE% %DR% 
call one_test.bat  15 %NTotal% xZAKx_column_COORD_UDL  %EXE% %DR% 
call one_test.bat  16 %NTotal% xZAKx_column_TVD  %EXE% %DR% 
call one_test.bat  17 %NTotal% xZAKx_column_COORD_TVD  %EXE% %DR% 
call one_test.bat  18 %NTotal% xZAKx_column_UDL  %EXE% %DR% 
call one_test.bat  19 %NTotal% xZAKx_column_TVDSS  %EXE% %DR% 
call one_test.bat  20 %NTotal% xZAKx_column_COORD_TVDSS  %EXE% %DR% 
call one_test.bat  21 %NTotal% xZAKx_TVDSS  %EXE% %DR% 
call one_test.bat  22 %NTotal% xZAKx_TVD  %EXE% %DR% 
call one_test.bat  23 %NTotal% xZAKx_Angle_Azim  %EXE% %DR% 
call one_test.bat  24 %NTotal% xZAKx_Angle_Azimi  %EXE% %DR% 
call one_test.bat  25 %NTotal% xZAKx_column_Angle_Azim  %EXE% %DR% 
call one_test.bat  26 %NTotal% xZAKx_column_Angle_Azim_ext_declination  %EXE% %DR% 
call one_test.bat  27 %NTotal% xZAKx_column_Angle_Azimi  %EXE% %DR% 
      
      
call one_test.bat 28 %NTotal% FDEV-TVD %EXE% %DR% 
call one_test.bat 29 %NTotal% ZAK_TEST0XY %EXE% %DR% 
call one_test.bat 30 %NTotal% L %EXE% %DR% 
call one_test.bat 31 %NTotal% T %EXE% %DR% 
call one_test.bat 32 %NTotal% ASC %EXE% %DR%
call one_test.bat 33 %NTotal% ZAK %EXE% %DR% 
call one_test.bat 34 %NTotal% ZAKd %EXE% %DR% 
call one_test.bat 35 %NTotal% RGI %EXE% %DR% 
call one_test.bat 36 %NTotal% RGI_AO %EXE% %DR% 
call one_test.bat 37 %NTotal% TBT %EXE% %DR% 
call one_test.bat 38 %NTotal% DE2 %EXE% %DR% 
call one_test.bat 39 %NTotal% ZA2 %EXE% %DR% 
call one_test.bat 40 %NTotal% ZA3 %EXE% %DR% 
call one_test.bat 41 %NTotal% ZA4 %EXE% %DR% 
call one_test.bat 42 %NTotal% ZA5 %EXE% %DR% 
call one_test.bat 43 %NTotal% Z12-1 %EXE% %DR% 
call one_test.bat 44 %NTotal% Z12-2 %EXE% %DR% 
call one_test.bat 45 %NTotal% Z12-3 %EXE% %DR% 
call one_test.bat 46 %NTotal% Z12-4 %EXE% %DR% 
call one_test.bat 47 %NTotal% Z12-5 %EXE% %DR% 
call one_test.bat 48 %NTotal% Z12-6 %EXE% %DR% 
call one_test.bat 49 %NTotal% DI1 %EXE% %DR% 
call one_test.bat 50 %NTotal% DIV %EXE% %DR% 
call one_test.bat 51 %NTotal% ZAK2 %EXE% %DR% 
call one_test.bat 52 %NTotal% ZAK3 %EXE% %DR% 
call one_test.bat 53 %NTotal% INKK %EXE% %DR% 
call one_test.bat 54 %NTotal% INKU %EXE% %DR% 
call one_test.bat 55 %NTotal% DIV3 %EXE% %DR% 
call one_test.bat 56 %NTotal% INKZ %EXE% %DR% 
call one_test.bat 57 %NTotal% INKZ2 %EXE% %DR% 
call one_test.bat 58 %NTotal% INKL %EXE% %DR% 
call one_test.bat 59 %NTotal% INCL_UDL %EXE% %DR%  
call one_test.bat 60 %NTotal% INCL2_UDL %EXE% %DR%  
call one_test.bat 61 %NTotal% INCL3_UDL %EXE% %DR% 
call one_test.bat 62 %NTotal% INCL3_UDL1W %EXE% %DR% 
call one_test.bat 63 %NTotal% INCL4_UDL %EXE% %DR% 
call one_test.bat 64 %NTotal% INCL5_UDL %EXE% %DR% 
call one_test.bat 65 %NTotal% INCL_SUBDIRS_UDL %EXE% %DR% 
call one_test.bat 66 %NTotal% ASN %EXE% %DR% 
call one_test.bat 67 %NTotal% INK %EXE% %DR% 
call one_test.bat 68 %NTotal% IN1 %EXE% %DR% 
call one_test.bat 69 %NTotal% TKB %EXE% %DR% 
call one_test.bat 70 %NTotal% tx2-big %EXE% %DR% 
call one_test.bat 71 %NTotal% TK1 %EXE% %DR% 
call one_test.bat 72 %NTotal% TK2 %EXE% %DR% 
call one_test.bat 73 %NTotal% TK3 %EXE% %DR% 
call one_test.bat 74 %NTotal% TK4 %EXE% %DR% 
call one_test.bat 75 %NTotal% IRLAS %EXE% %DR% 
call one_test.bat 76 %NTotal% DEV-TVD %EXE% %DR% 
call one_test.bat 77 %NTotal% DIV-inc-subfolders %EXE% %DR% 
call one_test.bat 78 %NTotal% DIV-well-prefix %EXE% %DR% 
call one_test.bat 79 %NTotal% ZA5ExtAlt  %EXE% %DR% 
call one_test.bat 80 %NTotal% ZA2ExtAlt  %EXE% %DR% 
call one_test.bat 81 %NTotal% ZA3ExtAlt  %EXE% %DR% 

      
call one_test.bat 82 %NTotal% FASC %EXE% %DR%
call one_test.bat 83 %NTotal% FZAK %EXE% %DR% 
call one_test.bat 84 %NTotal% FRGI %EXE% %DR% 
call one_test.bat 85 %NTotal% FRGI_AO %EXE% %DR% 
call one_test.bat 86 %NTotal% FTBT %EXE% %DR% 
call one_test.bat 87 %NTotal% FZA2 %EXE% %DR% 
call one_test.bat 88 %NTotal% FZA3 %EXE% %DR% 
call one_test.bat 89 %NTotal% FZA4 %EXE% %DR% 
call one_test.bat 90 %NTotal% FDI1 %EXE% %DR% 
call one_test.bat 91 %NTotal% FDIV %EXE% %DR% 
call one_test.bat 92 %NTotal% FZAK2 %EXE% %DR% 
call one_test.bat 93 %NTotal% FZAK3 %EXE% %DR% 
call one_test.bat 94 %NTotal% FINKK %EXE% %DR% 
call one_test.bat 95 %NTotal% FINKU %EXE% %DR% 
call one_test.bat 96 %NTotal% FDIV3 %EXE% %DR% 
call one_test.bat 97 %NTotal% FINKZ %EXE% %DR% 
call one_test.bat 98 %NTotal% FINKZ2 %EXE% %DR% 
call one_test.bat 99 %NTotal% FINKL %EXE% %DR% 
call one_test.bat 100 %NTotal% FINCL_UDL %EXE% %DR%  
call one_test.bat 101 %NTotal% FINCL2_UDL %EXE% %DR%  
call one_test.bat 102 %NTotal% FINCL3_UDL %EXE% %DR% 
call one_test.bat 103 %NTotal% FINCL4_UDL %EXE% %DR% 
call one_test.bat 104 %NTotal% FASN %EXE% %DR% 
call one_test.bat 105 %NTotal% FINK %EXE% %DR% 
call one_test.bat 106 %NTotal% FIN1 %EXE% %DR% 
call one_test.bat 107 %NTotal% FTKB %EXE% %DR% 
call one_test.bat 108 %NTotal% Ftx2-big %EXE% %DR% 
call one_test.bat 109 %NTotal% FTK1 %EXE% %DR% 
call one_test.bat 110 %NTotal% FTK2 %EXE% %DR% 
call one_test.bat 111 %NTotal% FIRLAS %EXE% %DR% 
call one_test.bat 112 %NTotal% INK2 %EXE% %DR% 
call one_test.bat 113 %NTotal% INK3 %EXE% %DR% 
:llll
cd test-las
echo check equal wells >con
..\%EXE%.exe /w %DR%\test-las\TestLas.lst %DR%\test-las\tab_out.txt %DR%\zak.lck
cd ..

cd test-las2
echo check equal wells2 >con
..\%EXE%.exe /w %DR%\test-las2\TestLas.lst %DR%\test-las2\tab_out.txt %DR%\zak.lck
cd ..

:l1

set PAR=0.2 -r10
set PAREXACT=0.02 -r10

CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_Angle_Azimi\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_Angle_Azim\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_Angle_Azimi\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_COORD_TVD\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_COORD_TVDSS\tab_out.txt  0.3 -r10 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_COORD_UDL\tab_out.txt  0.8 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_TVDSS\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_column_UDL\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_TVD\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_tab_TVDSS\tab_out.txt  %PAR%  
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_COORD_TVDSS\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_COORD_TVD\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_COORD_UDL\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_COORD_UDL\tab_out.txt  0.7 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_TVD\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_COORD_TVD\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_UDL\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_TVDSS\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_COORD_TVDSS\tab_out.txt  0.3 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_TVDSS\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_TVD\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_Angle_Azim\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_Angle_Azimi\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_Angle_Azim\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_Angle_Azim_ext_declination\tab_out.txt  %PAR% 
CompareTabs.exe %DR%\tab_out.txt  %DR%\xZAKx_column_Angle_Azimi\tab_out.txt  %PAR% 



CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAK_TEST0XY\tab_out.txt  7 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA5ExtAlt\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA2ExtAlt\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA3ExtAlt\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\L\tab_out.txt  2 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\T\tab_out.txt  2 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\ASC\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAK\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAKd\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\RGI\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\RGI_AO\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TBT\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DE2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA3\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA4\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZA5\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-3\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-4\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-5\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Z12-6\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DI1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DIV\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAK2\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\ZAK3\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKK\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKU\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DIV3\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKZ\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKZ2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INKL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL_UDL\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL2_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL3_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL3_UDL1W\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL4_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL5_UDL\tab_out.txt 2 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\INCL_SUBDIRS_UDL\tab_out.txt 0.4 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\ASN\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INK\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\IN1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TKB\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\tx2-big\tab_out.txt  0.3 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\TK1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TK2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TK3\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\TK4\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\IRLAS\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DEV-TVD\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DIV-inc-subfolders\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\DIV-well-prefix\tab_out.txt  %PAR% -i1

CompareTabs.exe %DR%\tab_out.txt  %DR%\FASC\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZAK\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FRGI\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FRGI_AO\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FTBT\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZA2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZA3\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZA4\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FDI1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FDIV\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZAK2\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FZAK3\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKK\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKU\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FDIV3\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKZ\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKZ2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINKL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINCL_UDL\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINCL2_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINCL3_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINCL4_UDL\tab_out.txt %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FASN\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FINK\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FIN1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FTKB\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\Ftx2-big\tab_out.txt   0.3 -r10
CompareTabs.exe %DR%\tab_out.txt  %DR%\FTK1\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FTK2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FIRLAS\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\FDEV-TVD\tab_out.txt  %PAR%

CompareTabs.exe %DR%\tab_out.txt  %DR%\INK2\tab_out.txt  %PAR%
CompareTabs.exe %DR%\tab_out.txt  %DR%\INK3\tab_out.txt  %PAR%

:l2

if not exist %DR%\test-las\tab_out.txt goto l22
echo Following wells differ from the first well: >>report.txt
type %DR%\test-las\tab_out.txt >>report.txt
type %DR%\test-las\tab_out.txt >>bad.bad
echo =========================== >>report.txt 

:l22

if exist bad.bad goto le
echo All is OK
echo All is OK >>report.txt 
notepad report.txt 
exit
:le

echo Some errors found. Check your program!!!!!!!!!
echo In subfolder Plugins you can find last versions of program DLL.
echo Try to copy DLL from folder Plugins into program subfolder ...\wlas\Plugins\

echo Some errors found. Check your program!!!!!!!!! >>report.txt 
echo In subfolder Plugins you can find last versions of program DLL. >>report.txt 
echo Try to copy DLL from folder Plugins into program subfolder ...\wlas\Plugins\  >>report.txt 

notepad report.txt 
exit
:lerr2
echo This is not Shell of Windows2000 or WindowsXP
echo Sorry...